
StubbyConfig = {
	["addinfo"] = {
		["EnhTooltip"] = "EnhTooltip|Used to display enhanced tooltips under the original tooltip or in the original tooltip, contains hooking functions for almost all major in game item tooltips [3.2.0.0595] This AddOn is licenced under the GNU GPL, see GPL.txt for details.",
		["auctioneer"] = "Auctioneer|Displays item info and analyzes auction data. Use \"/auctioneer scan\" at AH to collect auction data. [3.2.0.0618] This AddOn is licenced under the GNU GPL, see GPL.txt for details.",
		["Enchantrix"] = "Enchantrix|Display information in item tooltips pertaining to the results of disenchanting said item.  [3.2.0.0617] This AddOn is licenced under the GNU GPL, see GPL.txt for details.",
		["Informant"] = "Informant|Displays detailed item information in tooltips, and can produce item reports by binding an information window to a keypress [3.2.0.0613] This AddOn is licenced under the GNU GPL, see GPL.txt for details.",
	},
	["inspected"] = {
		["EnhTooltip"] = true,
		["auctioneer"] = true,
		["Enchantrix"] = true,
		["Informant"] = true,
	},
	["configs"] = {
		["informant"] = {
			["loadtype"] = "always",
		},
	},
	["boots"] = {
		["auctioneer"] = {
			["commandhandler"] = "		local function cmdHandler(msg)\
			local i,j, cmd, param = string.find(string.lower(msg), \"^([^ ]+) (.+)$\")\
			if (not cmd) then cmd = string.lower(msg) end \
			if (not cmd) then cmd = \"\" end \
			if (not param) then param = \"\" end\
			if (cmd == \"load\") then\
				if (param == \"\") then\
					Stubby.Print(\"Manually loading Auctioneer...\")\
					LoadAddOn(\"Auctioneer\")\
				elseif (param == \"auctionhouse\") then\
					Stubby.Print(\"Setting Auctioneer to load when this character visits the auction house\")\
					Stubby.SetConfig(\"Auctioneer\", \"LoadType\", param) \
				elseif (param == \"always\") then\
					Stubby.Print(\"Setting Auctioneer to always load for this character\")\
					Stubby.SetConfig(\"Auctioneer\", \"LoadType\", param)\
					LoadAddOn(\"Auctioneer\")\
				elseif (param == \"never\") then\
					Stubby.Print(\"Setting Auctioneer to never load automatically for this character (you may still load manually)\")\
					Stubby.SetConfig(\"Auctioneer\", \"LoadType\", param)\
				else\
					Stubby.Print(\"Your command was not understood\")\
				end\
			else\
				Stubby.Print(\"Auctioneer is currently not loaded.\")\
				Stubby.Print(\"  You may load it now by typing |cffffffff/auctioneer load|r\")\
				Stubby.Print(\"  You may also set your loading preferences for this character by using the following commands:\")\
				Stubby.Print(\"  |cffffffff/auctioneer load auctionhouse|r - Auctioneer will load when you visit the auction house\")\
				Stubby.Print(\"  |cffffffff/auctioneer load always|r - Auctioneer will always load for this character\")\
				Stubby.Print(\"  |cffffffff/auctioneer load never|r - Auctioneer will never load automatically for this character (you may still load it manually)\")\
			end\
		end\
		SLASH_AUCTIONEER1 = \"/auctioneer\"\
		SLASH_AUCTIONEER2 = \"/auction\"\
		SLASH_AUCTIONEER3 = \"/auc\"\
		SlashCmdList[\"AUCTIONEER\"] = cmdHandler\
	",
			["triggers"] = "		function Auctioneer_CheckLoad()\
			local loadType = Stubby.GetConfig(\"Auctioneer\", \"LoadType\")\
			if (loadType == \"auctionhouse\" or not loadType) then\
				LoadAddOn(\"Auctioneer\")\
			end\
		end\
		function Auctioneer_ShowNotLoaded()\
			BrowseNoResultsText:SetText(\"Auctioneer n'est pas chargé. Tapez /auctioneer pour plus d'informations.\");\
		end\
		local function onLoaded()\
			Stubby.UnregisterAddOnHook(\"Blizzard_AuctionUI\", \"Auctioneer\")\
			if (not IsAddOnLoaded(\"Auctioneer\")) then\
				Stubby.RegisterFunctionHook(\"AuctionFrame_Show\", 100, Auctioneer_ShowNotLoaded)\
			end\
		end\
		Stubby.RegisterFunctionHook(\"AuctionFrame_LoadUI\", 100, Auctioneer_CheckLoad)\
		Stubby.RegisterAddOnHook(\"Blizzard_AuctionUI\", \"Auctioneer\", onLoaded)\
		local loadType = Stubby.GetConfig(\"Auctioneer\", \"LoadType\")\
		if (loadType == \"always\") then\
			LoadAddOn(\"Auctioneer\")\
		else\
			Stubby.Print(\"Auctioneer n'est pas chargé. Tapez /auctioneer pour plus d'informations.\");\
		end\
	",
		},
		["informant"] = {
			["commandhandler"] = "		local function cmdHandler(msg)\
			local i,j, cmd, param = string.find(string.lower(msg), \"^([^ ]+) (.+)$\")\
			if (not cmd) then cmd = string.lower(msg) end \
			if (not cmd) then cmd = \"\" end \
			if (not param) then param = \"\" end\
			if (cmd == \"load\") then\
				if (param == \"\") then\
					Stubby.Print(\"Manually loading Informant...\")\
					LoadAddOn(\"Informant\")\
				elseif (param == \"always\") then\
					Stubby.Print(\"Setting Informant to always load for this character\")\
					Stubby.SetConfig(\"Informant\", \"LoadType\", param)\
					LoadAddOn(\"Informant\")\
				elseif (param == \"never\") then\
					Stubby.Print(\"Setting Informant to never load automatically for this character (you may still load manually)\")\
					Stubby.SetConfig(\"Informant\", \"LoadType\", param)\
				else\
					Stubby.Print(\"Your command was not understood\")\
				end\
			else\
				Stubby.Print(\"Informant is currently not loaded.\")\
				Stubby.Print(\"  You may load it now by typing |cffffffff/informant load|r\")\
				Stubby.Print(\"  You may also set your loading preferences for this character by using the following commands:\")\
				Stubby.Print(\"  |cffffffff/informant load always|r - Informant will always load for this character\")\
				Stubby.Print(\"  |cffffffff/informant load never|r - Informant will never load automatically for this character (you may still load it manually)\")\
			end\
		end\
		SLASH_INFORMANT1 = \"/informant\"\
		SLASH_INFORMANT2 = \"/inform\"\
		SLASH_INFORMANT3 = \"/info\"\
		SLASH_INFORMANT4 = \"/inf\"\
		SlashCmdList[\"INFORMANT\"] = cmdHandler\
	",
			["triggers"] = "		local loadType = Stubby.GetConfig(\"Informant\", \"LoadType\")\
		if (loadType == \"always\") then\
			LoadAddOn(\"Informant\")\
		else\
			Stubby.Print(\"Informant n'est pas chargé. Tapez /informant pour plus d'informations.\");\
		end\
	",
		},
		["enchantrix"] = {
			["commandhandler"] = "		local function cmdHandler(msg)\
			local i,j, cmd, param = string.find(string.lower(msg), \"^([^ ]+) (.+)$\")\
			if (not cmd) then cmd = string.lower(msg) end \
			if (not cmd) then cmd = \"\" end \
			if (not param) then param = \"\" end\
			if (cmd == \"load\") then\
				if (param == \"\") then\
					Stubby.Print(\"Manually loading Enchantrix...\")\
					LoadAddOn(\"Enchantrix\")\
				elseif (param == \"always\") then\
					Stubby.Print(\"Setting Enchantrix to always load for this character\")\
					Stubby.SetConfig(\"Enchantrix\", \"LoadType\", param)\
					LoadAddOn(\"Enchantrix\")\
				elseif (param == \"never\") then\
					Stubby.Print(\"Setting Enchantrix to never load automatically for this character (you may still load manually)\")\
					Stubby.SetConfig(\"Enchantrix\", \"LoadType\", param)\
				else\
					Stubby.Print(\"Your command was not understood\")\
				end\
			else\
				Stubby.Print(\"Enchantrix is currently not loaded.\")\
				Stubby.Print(\"  You may load it now by typing |cffffffff/enchantrix load|r\")\
				Stubby.Print(\"  You may also set your loading preferences for this character by using the following commands:\")\
				Stubby.Print(\"  |cffffffff/enchantrix load always|r - Enchantrix will always load for this character\")\
				Stubby.Print(\"  |cffffffff/enchantrix load never|r - Enchantrix will never load automatically for this character (you may still load it manually)\")\
			end\
		end\
		SLASH_ENCHANTRIX1 = \"/enchantrix\"\
		SLASH_ENCHANTRIX2 = \"/enchant\"\
		SLASH_ENCHANTRIX3 = \"/enx\"\
		SlashCmdList[\"ENCHANTRIX\"] = cmdHandler\
	",
			["triggers"] = "		local loadType = Stubby.GetConfig(\"Enchantrix\", \"LoadType\")\
		if (loadType == \"always\") then\
			LoadAddOn(\"Enchantrix\")\
		else\
			Stubby.Print(\"Enchantrix n'est pas chargé. Tapez /enchantrix pour plus d'informations.\")\
		end\
	",
		},
	},
}
